/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.rational.carter.ide.client.connection.RhpConnectionInfo");
//communication with Rhapsody regarding the connections
var com_imb_rhp_connections = "";
	
function getConnections()
{
	return com_imb_rhp_connections;
}
function setConnections(connections)
{
	com_imb_rhp_connections = connections;
}

var com_imb_rhp_connectionCookies = null;
function getConnectionCookies()
{
	return com_imb_rhp_connectionCookies;
}
function setConnectionCookies(cookies)
{
	com_imb_rhp_connectionCookies = cookies;
}

var com_imb_rhp_connectionCookiesErrorMsg = null;
function getErrorMsgCookies()
{
	return com_imb_rhp_connectionCookiesErrorMsg;
}
function setErrorMsgCookies(errMsg)
{
	com_imb_rhp_connectionCookiesErrorMsg = errMsg;
}



//(function() {
dojo.require("com.ibm.rational.carter.ide.client.internal.RhpCommunicator");
var RhpCommunicator = com.ibm.rational.carter.ide.client.internal.RhpCommunicator;


com.ibm.rational.carter.ide.client.connection.RhpConnectionInfo = {

_connections: null,	

getConnectionsArray: function()
{
	this.refreshConnectionsFromRhapsody();
	return this._connections;
},

/*setConnectionCookies: function()
{
	window.location = "connection:$setConnectionCookies" + RhpCommunicator._separator + this.getCurrentServerUrl();
	var cookiesStr = getConnectionCookies();
	if (cookiesStr != "" && cookiesStr != null)
	{
		if (cookiesStr.indexOf("failed") != -1) {
			return false;
		}
		else {
			cookies = cookiesStr.split(RhpCommunicator._separator);
			dojo.forEach(cookies, function(cookie){
			
			}, this);
			return true;
		}
	}
	return false;
	
},*/



refreshConnectionsFromRhapsody: function() {
	
	RhpCommunicator.notifyRhapsody({
			cmd: "setConnections",
	});

	//window.location = "connection:$setConnections";
	
	
	this._connections = [];
	var cons = [];
	var connections = getConnections();
	if (connections != null)
		cons = connections.split(RhpCommunicator._separator);
	dojo.forEach(cons, function(c) {
		var co = dojo.queryToObject(c);
		if (co != null)
			this._connections.push(co);
		}, this);
},

	getCurrentConnection: function(connections){

		var currentConnection = "";
		try {
			var locationLC = window.location.href;//new String(window.location);
			if (locationLC && (locationLC != "")  && (locationLC.toLowerCase)) {
				locationLC = locationLC.toLowerCase();
				dojo.forEach(connections,function(conn) {
					if (conn.url) {
						var optLC = new String(conn.url);
						if (optLC && optLC != "" ) {
							if (locationLC.indexOf(optLC.toLowerCase())!=-1)
								currentConnection = conn;
						}
					}
				},this);
			}
		}
		catch (e) {
			//probably due to toLowerCase error: silently ignore. happens in IE mainly
		}
		return currentConnection;			
	},
	
	getCurrentServerUrl: function()
	{
		var locationLC = window.location.href;//new String(window.location);
		var loc = locationLC.indexOf("/rmps");
		var serverUrl = locationLC.substring(0,loc+5);
		return serverUrl;
		
	}

		
	}//end of class
